Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

articleview.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: articleview.php 9879 2003-07-24 08:47:34Z br $
5 //
6 // Created on: <18-Oct-2000 16:34:51 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/ezhttptool.php" );
28 // include_once( "classes/INIFile.php" );
29 // include_once( "classes/eztemplate.php" );
30 // include_once( "classes/ezlocale.php" );
31
32 // include_once( "ezarticle/classes/ezarticlecategory.php" );
33 // include_once( "ezarticle/classes/ezarticle.php" );
34 // include_once( "ezarticle/classes/ezarticlerenderer.php" );
35 // include_once( "ezmail/classes/ezmail.php" );
36 // include_once( "ezsitemanager/classes/ezsection.php" );
37
38 $ini =& eZINI::instance( 'site.ini' );
39
40 $Language = $ini->variable( "eZArticleMain", "Language" );
41 $ForceCategoryDefinition = $ini->variable( "eZArticleMain", "ForceCategoryDefinition" );
42 $TemplateDir = $ini->variable( "eZArticleMain", "TemplateDir" );
43 $CapitalizeHeadlines = $ini->variable( "eZArticleMain", "CapitalizeHeadlines" );
44 $ListImageWidth = $ini->variable( "eZArticleMain", "ListImageWidth" );
45 $ListImageHeight = $ini->variable( "eZArticleMain", "ListImageHeight" );
46
47 if ( !is_numeric( $ArticleID ) )
48 {
49 eZHTTPTool::header( "Location: /error/404" );
50 exit();
51 }
52
53 if ( !is_numeric( $PageNumber) )
54 $PageNumber = "";
55
56 if ( !is_numeric( $CategoryID ) )
57 $CategoryID = eZArticle::categoryDefinitionStatic( $ArticleID );
58
59 if ( $ForceCategoryDefinition == "enabled" )
60 {
61 $CategoryID = eZArticle::categoryDefinitionStatic( $ArticleID );
62 }
63
64 $GlobalSectionID = eZArticleCategory::sectionIDStatic( $CategoryID );
65
66 // init the section
67 $sectionObject =& eZSection::globalSectionObject( $GlobalSectionID );
68 $sectionObject->setOverrideVariables();
69
70 $templateDirTmp = $sectionObject->templateStyle();
71 if ( $templateDirTmp != null && trim( $templateDirTmp ) != "" )
72 {
73 $TemplateDir = preg_replace( "/(.+)\/.+(\/?)/", "/\\1/$templateDirTmp\\2", $TemplateDir );
74 }
75
76 $t = new eZTemplate( "kernel/ezarticle/user/" . $TemplateDir,
77 "kernel/ezarticle/user/intl/", $Language, "articleview.php" );
78
79 $t->setAllStrings();
80
81 $StaticPage = false;
82 if ( $url_array[2] == "static" || $url_array[2] == "articlestatic" )
83 {
84 $StaticPage = true;
85 }
86
87
88 // override template for the current category
89 $override = "_override_$CategoryID";
90 // override template for current section
91 // category override will be prefered
92 $sectionOverride = "_sectionoverride_$GlobalSectionID";
93
94 if ( $StaticPage == true )
95 {
96 if ( file_exists( "kernel/ezarticle/user/$TemplateDir/articlestatic" . $override . ".tpl" ) )
97 $t->set_file( "article_view_page_tpl", "articlestatic" . $override . ".tpl" );
98 else
99 $t->set_file( "article_view_page_tpl", "articlestatic.tpl" );
100 }
101 else
102 {
103 if ( isset( $PrintableVersion ) and $PrintableVersion == "enabled" )
104 {
105 $t->set_file( "article_view_page_tpl", "articleprint.tpl" );
106 }
107 else
108 {
109 // category override
110 if ( file_exists( "kernel/ezarticle/user/$TemplateDir/articleview" . $override . ".tpl" ) )
111 {
112 $t->set_file( "article_view_page_tpl", "articleview" . $override . ".tpl" );
113 }
114 else
115 {
116 // section override
117 if ( file_exists( "kernel/ezarticle/user/$TemplateDir/articleview" . $sectionOverride . ".tpl" ) )
118 {
119 $t->set_file( "article_view_page_tpl", "articleview" . $sectionOverride . ".tpl" );
120 }
121 else
122 {
123 $t->set_file( "article_view_page_tpl", "articleview.tpl" );
124 }
125 }
126 }
127 }
128
129 // path
130 $t->set_block( "article_view_page_tpl", "path_item_tpl", "path_item" );
131
132 $t->set_block( "article_view_page_tpl", "article_url_item_tpl", "article_url_item" );
133
134 $t->set_block( "article_view_page_tpl", "article_header_tpl", "article_header" );
135 $t->set_block( "article_view_page_tpl", "article_topic_tpl", "article_topic" );
136 $t->set_block( "article_view_page_tpl", "article_intro_tpl", "article_intro" );
137
138 $t->set_block( "article_view_page_tpl", "attached_file_list_tpl", "attached_file_list" );
139 $t->set_block( "attached_file_list_tpl", "attached_file_tpl", "attached_file" );
140
141 $t->set_block( "article_view_page_tpl", "image_list_tpl", "image_list" );
142 $t->set_block( "image_list_tpl", "image_tpl", "image" );
143
144 // current category image
145 $t->set_block( "article_view_page_tpl", "current_category_image_item_tpl", "current_category_image_item" );
146
147 $t->set_block( "article_view_page_tpl", "page_link_tpl", "page_link" );
148 $t->set_block( "article_view_page_tpl", "current_page_link_tpl", "current_page_link" );
149 $t->set_block( "article_view_page_tpl", "next_page_link_tpl", "next_page_link" );
150 $t->set_block( "article_view_page_tpl", "prev_page_link_tpl", "prev_page_link" );
151 $t->set_block( "article_view_page_tpl", "numbered_page_link_tpl", "numbered_page_link" );
152 $t->set_block( "article_view_page_tpl", "print_page_link_tpl", "print_page_link" );
153 $t->set_block( "article_view_page_tpl", "section_item_tpl", "section_item" );
154
155 $t->set_block( "article_view_page_tpl", "mail_to_tpl", "mail_to" );
156 $t->set_block( "article_view_page_tpl", "attribute_list_tpl", "attribute_list" );
157 $t->set_block( "attribute_list_tpl", "type_item_tpl", "type_item" );
158 $t->set_block( "type_item_tpl", "attribute_item_tpl", "attribute_item" );
159 $t->set_block( "section_item_tpl", "link_item_tpl", "link_item" );
160
161 // read user override variables for image size
162 $ListImageWidth = $ini->variable( "eZArticleMain", "ListImageWidth" );
163 $ListImageHeight = $ini->variable( "eZArticleMain", "ListImageHeight" );
164
165 // Make the manual keywords available in the articleview template
166 $ManualKeywords =& $article->manualKeywords();
167 $t->set_var( "article_keywords", $ManualKeywords );
168
169
170 $listImageWidthOverride =& $t->get_user_variable( "article_view_page_tpl", "ListImageWidth" );
171 if ( $listImageWidthOverride )
172 {
173 $ListImageWidth = $listImageWidthOverride;
174 }
175
176 $listImageHeightOverride =& $t->get_user_variable( "article_view_page_tpl", "ListImageHeight" );
177 if ( $listImageHeightOverride )
178 {
179 $ListImageHeight = $listImageHeightOverride;
180 }
181
182
183 $SiteURL = $ini->variable( "site", "UserSiteURL" );
184
185 $t->set_var( "article_url", $SiteURL . $_SERVER['REQUEST_URI'] );
186 $t->set_var( "article_url_item", "" );
187 if ( isset( $PrintableVersion ) and $PrintableVersion == "enabled" )
188 $t->parse( "article_url_item", "article_url_item_tpl" );
189
190
191 // makes the section ID available in articleview template
192 $t->set_var( "section_id", $GlobalSectionID );
193
194 $article = new eZArticle( );
195
196 // check if the article exists
197 if ( $article->get( $ArticleID ) )
198 {
199 if ( $article->isPublished() )
200 {
201 // published article.
202 }
203 else
204 {
205 eZHTTPTool::header( "Location: /error/404" );
206 exit();
207 }
208
209 $categories =& $article->categories( false );
210
211 // path
212 if ( !in_array( $CategoryID, $categories ) )
213 {
214 $category = $article->categoryDefinition();
215 }
216 else
217 {
218 $category = new eZArticleCategory( $CategoryID );
219 }
220
221 // current category image
222 $image =& $category->image();
223
224 $t->set_var( "current_category_image_item", "" );
225
226 if ( is_a( $image, "eZImage" ) && ( $image->id() != 0 ) )
227 {
228 $imageWidth =& $ini->variable( "eZArticleMain", "CategoryImageWidth" );
229 $imageHeight =& $ini->variable( "eZArticleMain", "CategoryImageHeight" );
230
231 $variation =& $image->requestImageVariation( $imageWidth, $imageHeight );
232
233 $imageURL = "/" . $variation->imagePath();
234 $imageWidth =& $variation->width();
235 $imageHeight =& $variation->height();
236 $imageCaption =& $image->caption();
237
238 $t->set_var( "current_category_image_width", $imageWidth );
239 $t->set_var( "current_category_image_height", $imageHeight );
240 $t->set_var( "current_category_image_url", $imageURL );
241 $t->set_var( "current_category_image_caption", $imageCaption );
242 $t->parse( "current_category_image_item", "current_category_image_item_tpl" );
243 }
244 else
245 {
246 $t->set_var( "current_category_image_item", "" );
247 }
248
249 $pathArray =& $category->path();
250
251 $t->set_var( "path_item", "" );
252 foreach ( $pathArray as $path )
253 {
254 $t->set_var( "category_id", $path[0] );
255
256 if ( $CapitalizeHeadlines == "enabled" )
257 {
258 // include_once( "classes/eztexttool.php" );
259 $t->set_var( "category_name", eZTextTool::capitalize( $path[1] ) );
260 }
261 else
262 {
263 $t->set_var( "category_name", $path[1] );
264 }
265
266 $t->parse( "path_item", "path_item_tpl", true );
267 }
268
269 // link list
270 $module_link = new eZModuleLink( "eZArticle", "Article", $article->id() );
271 $sections =& $module_link->sections();
272 $t->set_var( "section_item", "" );
273 foreach ( $sections as $section )
274 {
275 $t->set_var( "link_item", "" );
276 $t->set_var( "section_name", $section->name() );
277 $t->set_var( "section_id", $section->id() );
278 $links =& $section->links();
279 $i = 0;
280 foreach ( $links as $link )
281 {
282 $t->set_var( "td_class", ($i % 2) == 0 ? "bglight" : "bgdark" );
283 $t->set_var( "link_name", $link->name() );
284 $t->set_var( "link_url", $link->url() );
285 $t->set_var( "link_id", $link->id() );
286 $t->parse( "link_item", "link_item_tpl", true );
287 ++$i;
288 }
289 $t->parse( "section_item", "section_item_tpl", true );
290 }
291
292
293
294 $renderer = new eZArticleRenderer( $article );
295
296 if ( $CapitalizeHeadlines == "enabled" )
297 {
298 // include_once( "classes/eztexttool.php" );
299 $t->set_var( "article_name", eZTextTool::capitalize( $article->name() ) );
300 }
301 else
302 {
303 $t->set_var( "article_name", $article->name() );
304 }
305
306 if ( eZMail::validate( $article->authorEmail() ) && $article->authorEmail() )
307 {
308 $t->set_var( "author_email", $article->authorEmail() );
309 }
310 else
311 {
312 $author = $article->author();
313 $t->set_var( "author_email", $author->email() );
314 }
315
316 $t->set_var( "author_text", $article->authorText() );
317 $t->set_var( "author_id", $article->contentsWriter( false ) );
318
319 // check for topic
320 $topic =& $article->topic();
321
322 if ( is_a( $topic, "eZTopic" ) && $topic->name() != "" )
323 {
324 $t->set_var( "topic_id", $topic->id() );
325 $t->set_var( "topic_name", $topic->name() );
326 $t->parse( "article_topic", "article_topic_tpl" );
327 }
328 else
329 {
330 $t->set_var( "article_topic", "" );
331 }
332
333 // check if author is "" or starts with -
334 $authorText = trim( $article->authorText() );
335 if ( $authorText == "" ||
336 $authorText[0] == "-"
337 )
338 {
339 $ShowHeader = "hide";
340 }
341
342 $categoryDef =& $article->categoryDefinition();
343
344 $t->set_var( "category_definition_name", $categoryDef->name() );
345
346 $pageCount = $article->pageCount();
347 if ( $PageNumber > $pageCount )
348 $PageNumber = $pageCount;
349
350 if ( $PageNumber == -1 )
351 $articleContents = $renderer->renderPage( -1 );
352 else
353 $articleContents = $renderer->renderPage( $PageNumber -1 );
354
355 $t->set_var( "article_intro", $articleContents[0] );
356
357 if ( ( $PageNumber == 1 ) || (( isset( $PrintableVersion ) and $PrintableVersion == "enabled" )))
358 $t->parse( "article_intro", "article_intro_tpl" );
359 else
360 $t->set_var( "article_intro", "" );
361
362 if ( $articleContents[0] != '' )
363 {
364 $t->set_var( "article_intro", $articleContents[0] );
365 $t->parse( "article_intro", "article_intro_tpl" );
366 } else {
367 $t->set_var( "article_intro", "" );
368 }
369
370
371 $t->set_var( "article_body", $articleContents[1] );
372
373 $t->set_var( "link_text", $article->linkText() );
374
375 $t->set_var( "article_id", $article->id() );
376
377 $locale = new eZLocale( $Language );
378 $published = $article->published();
379
380 $publishedDateValue =& $published->date();
381 $publishedTimeValue =& $published->time();
382
383 $t->set_var( "article_datevalue", $locale->format( $publishedDateValue ) );
384 $t->set_var( "article_timevalue", $locale->format( $publishedTimeValue ) );
385
386 $t->set_var( "article_created", $locale->format( $published ) );
387
388 // image list
389
390 $usedImages = $renderer->usedImageList();
391 $images =& $article->images();
392 $imageNumber = 0;
393 {
394 $i=0;
395 foreach ( $images as $imageArray )
396 {
397 $image = $imageArray["Image"];
398 $placement = $imageArray["Placement"];
399
400 $showImage = true;
401
402 if ( is_array( $usedImages ) == true )
403 {
404 if ( in_array( $placement, $usedImages ) )
405 {
406 $showImage = false;
407 }
408 }
409
410 if ( $showImage )
411 {
412 if ( ( $i % 2 ) == 0 )
413 {
414 $t->set_var( "td_class", "bglight" );
415 }
416 else
417 {
418 $t->set_var( "td_class", "bgdark" );
419 }
420
421 if ( $image->caption() == "" )
422 $t->set_var( "image_caption", "&nbsp;" );
423 else
424 $t->set_var( "image_caption", $image->caption() );
425
426
427 $t->set_var( "image_id", $image->id() );
428 $t->set_var( "article_id", $ArticleID );
429
430 $variation =& $image->requestImageVariation( $ListImageWidth, $ListImageHeight );
431 if( is_object( $variation ) )
432 {
433 $t->set_var( "image_url", "/" .$variation->imagePath() );
434 $t->set_var( "image_width", $variation->width() );
435 $t->set_var( "image_height",$variation->height() );
436 }
437
438 $img_id = $image->id();
439 $t->set_var( "alt_image_url", "/imagecatalogue/imageview/$img_id/?RefererURL=".$_SERVER["REQUEST_URI"] );
440
441 $t->parse( "image", "image_tpl", true );
442 $i++;
443 }
444 $imageNumber++;
445 }
446
447 $t->parse( "image_list", "image_list_tpl", true );
448 }
449 if ( $i == 0 )
450 $t->set_var( "image_list", "" );
451
452
453
454 }
455 else
456 {
457 eZHTTPTool::header( "Location: /error/404" );
458 exit();
459 }
460
461
462
463 if ( $StaticRendering == true || (isset($ShowHeader) && $ShowHeader == "hide" ))
464 {
465 $t->set_var( "article_header", "" );
466 }
467 else
468 {
469 $t->parse( "article_header", "article_header_tpl" );
470 }
471
472
473 // set the variables in the mail_to form
474 if ( !isset( $SendTo ) )
475 $SendTo = "";
476 $t->set_var( "send_to", $SendTo );
477 if ( !isset( $From ) )
478 $From = "";
479 $t->set_var( "from", $From );
480
481 $types = $article->types();
482
483 $typeCount = count( $types );
484
485 $t->set_var( "attribute_item", "" );
486 $t->set_var( "type_item", "" );
487 $t->set_var( "attribute_list", "" );
488
489 if( $typeCount > 0 )
490 {
491 foreach( $types as $type )
492 {
493 $attributes = array();
494 $attributes = $type->attributes();
495 $attributeCount = count( $attributes );
496
497 if( $attributeCount > 0 )
498 {
499 $t->set_var( "type_id", $type->id() );
500 $t->set_var( "type_name", $type->name() );
501 $t->set_var( "attribute_item", "" );
502 foreach( $attributes as $attribute )
503 {
504 $t->set_var( "attribute_id", $attribute->id() );
505 $t->set_var( "attribute_name", $attribute->name() );
506 $t->set_var( "attribute_value", nl2br( $attribute->value( $article ) ) );
507 $t->parse( "attribute_item", "attribute_item_tpl", true );
508 }
509 $t->parse( "type_item", "type_item_tpl", true );
510 }
511 }
512
513 $t->parse( "attribute_list", "attribute_list_tpl" );
514 }
515
516
517
518 // files
519 $files = $article->files();
520
521 if ( count( $files ) > 0 )
522 {
523 $i=0;
524 foreach ( $files as $file )
525 {
526 if ( ( $i % 2 ) == 0 )
527 {
528 $t->set_var( "td_class", "bglight" );
529 }
530 else
531 {
532 $t->set_var( "td_class", "bgdark" );
533 }
534
535 $t->set_var( "file_id", $file->id() );
536 // $t->set_var( "original_file_name", $file->originalFileName() );
537 $t->set_var( "original_file_name", $file->fileName() );
538 $t->set_var( "file_name", $file->name() );
539 $t->set_var( "file_url", $file->name() );
540 $t->set_var( "file_description", $file->description() );
541
542 $size = $file->siFileSize();
543 $t->set_var( "file_size", $size["size-string"] );
544 $t->set_var( "file_unit", $size["unit"] );
545
546
547 $i++;
548 $t->parse( "attached_file", "attached_file_tpl", true );
549 }
550
551 $t->parse( "attached_file_list", "attached_file_list_tpl" );
552 }
553 else
554 {
555 $t->set_var( "attached_file_list", "" );
556 }
557
558
559 $t->set_var( "current_page_link", "" );
560
561 // page links
562 if ( $pageCount > 1 && $PageNumber != -1 && ( $PrintableVersion != "enabled" ) )
563 {
564 for ( $i=0; $i<$pageCount; $i++ )
565 {
566 $t->set_var( "article_id", $article->id() );
567 $t->set_var( "page_number", $i+1 );
568 $t->set_var( "category_id", $CategoryID );
569
570 if ( ( $i + 1 ) == $PageNumber )
571 {
572 $t->parse( "page_link", "current_page_link_tpl", true );
573 }
574 else
575 {
576 $t->parse( "page_link", "page_link_tpl", true );
577 }
578 }
579 }
580 else
581 {
582 $t->set_var( "page_link", "" );
583
584 }
585
586 $t->set_var( "total_pages", $pageCount );
587 $t->set_var( "current_page", $PageNumber );
588
589 // non-printable version link
590 if ( ( $PageNumber == -1 ) && ( $PrintableVersion == "enabled" ) )
591 {
592 $t->parse( "numbered_page_link", "numbered_page_link_tpl" );
593 }
594 else
595 {
596 $t->set_var( "numbered_page_link", "" );
597 }
598
599 // printable version link
600 if ( ( !isset( $PrintableVersion ) or $PrintableVersion != "enabled" ) && ( !isset( $StaticRendering ) or $StaticRendering != true ) )
601 {
602 $t->parse( "print_page_link", "print_page_link_tpl" );
603 }
604 else
605 {
606 $t->set_var( "print_page_link", "" );
607 }
608
609 // previous page link
610 if ( ( $PageNumber > 1 ) && ( $PrintableVersion != "enabled" ) )
611 {
612 $t->set_var( "prev_page_number", $PageNumber - 1 );
613 $t->parse( "prev_page_link", "prev_page_link_tpl" );
614 }
615 else
616 {
617 $t->set_var( "prev_page_link", "" );
618 }
619
620 // next page link
621 if ( $PageNumber < $pageCount && $PageNumber != -1 && ( $PrintableVersion != "enabled" ) )
622 {
623 $t->set_var( "next_page_number", $PageNumber + 1 );
624 $t->parse( "next_page_link", "next_page_link_tpl" );
625 }
626 else
627 {
628 $t->set_var( "next_page_link", "" );
629 }
630
631 // PBo Mod
632 // If the current logged in user matches the author, show an edit link or button
633 // as defined in the corresponding template block article_edit_tpl
634 $currentuser =& eZUser::currentUser();
635 $t->set_block( "article_view_page_tpl", "article_edit_tpl", "article_edit" );
636 $editOwnArticle=$ini->variable( "eZArticleMain", "UserEditOwnArticle" );
637
638 //if ($currentuser->id() == $article->author(false) && $editOwnArticle == "enabled")
639 if ( eZArticle::isAuthor($currentuser, $article->id()) && $editOwnArticle == "enabled")
640 {
641 $t->set_var( "edit_article_id", $article->id() );
642 $t->parse ( "article_edit", "article_edit_tpl" );
643
644 }
645 else
646 {
647 $t->set_var( "article_edit", "", "" );
648
649
650 }
651 //End PBo mod
652
653 // set variables for meta information
654 $SiteTitleAppend = $article->name();
655 $SiteDescriptionOverride = str_replace( "\"", "", strip_tags( $articleContents[0] ) );
656 $SiteKeywordsOverride = str_replace( "\"", "", strip_tags( $article->keywords() ) );
657
658 $SiteKeywordsOverride = str_replace( "qdom", "", $SiteKeywordsOverride );
659
660 if ( isset( $GenerateStaticPage ) && $GenerateStaticPage == "true" )
661 {
662 $fp = eZPBFile::fopen( $cachedFile, "w+");
663
664 // add PHP code in the cache file to store variables
665 $output = "<?php\n";
666 $output .= "\$ManualKeywords=\"$ManualKeywords\";\n";
667 $output .= "\$GlobalSectionID=\"$GlobalSectionID\";\n";
668 $output .= "\$SiteTitleAppend=\"$SiteTitleAppend\";\n";
669 $output .= "\$SiteDescriptionOverride=\"$SiteDescriptionOverride\";\n";
670 $output .= "\$SiteKeywordsOverride=\"$SiteKeywordsOverride\";\n";
671 // $output .= "\$eZLanguageOverride=\"$eZLanguageOverride\";\n";
672 $output .= "?>\n";
673
674 $printOut = $t->parse( "output", "article_view_page_tpl" );
675
676 // print the output the first time while printing the cache file.
677 print( $printOut );
678
679 $output .= $printOut;
680
681 fwrite ( $fp, $output );
682 fclose( $fp );
683 }
684 else
685 {
686 $t->pparse( "output", "article_view_page_tpl" );
687 }
688
689 ?>
$category
if( $Action=="Edit") $category
Definition: adedit.php:378
$locale
$locale
Definition: admin/adlist.php:127
$pathArray
$pathArray
Definition: admin/adlist.php:74
$i
$i
Definition: admin/adlist.php:91
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$topic
foreach( $authorArray as $author) $topic
Definition: admin/articleedit.php:852
$author
$author
Definition: admin/articleedit.php:834
$articleContents
$articleContents
Definition: articlepreview.php:81
$imageNumber
$imageNumber
Definition: articlepreview.php:147
$pageCount
$pageCount
Definition: articlepreview.php:195
$images
$images
Definition: articlepreview.php:146
$renderer
if(! $article->get( $ArticleID)) $renderer
Definition: articlepreview.php:76
$usedImages
if( $typeCount > 0) $usedImages
Definition: articlepreview.php:145
$ListImageHeight
$ListImageHeight
Definition: articleview.php:45
$SiteKeywordsOverride
$SiteKeywordsOverride
Definition: articleview.php:656
$ListImageWidth
$ListImageWidth
Definition: articleview.php:44
$GlobalSectionID
if( $ForceCategoryDefinition=="enabled") $GlobalSectionID
Definition: articleview.php:64
$SiteTitleAppend
$SiteTitleAppend
Definition: articleview.php:654
$TemplateDir
$TemplateDir
Definition: articleview.php:42
$t
if( $templateDirTmp !=null &&trim( $templateDirTmp) !="") $t
Definition: articleview.php:76
$article
$article
Definition: articleview.php:194
$SiteURL
if( $listImageHeightOverride) $SiteURL
Definition: articleview.php:183
$files
if( $typeCount > 0) $files
Definition: articleview.php:519
$sectionObject
$sectionObject
Definition: articleview.php:67
$ForceCategoryDefinition
$ForceCategoryDefinition
Definition: articleview.php:41
$currentuser
$currentuser
Definition: articleview.php:634
$StaticPage
$StaticPage
Definition: articleview.php:81
$ManualKeywords
$ManualKeywords
Definition: articleview.php:166
$listImageHeightOverride
if( $listImageWidthOverride) $listImageHeightOverride
Definition: articleview.php:176
$Language
$Language
Definition: articleview.php:40
$ini
$ini
Definition: articleview.php:38
$types
$types
Definition: articleview.php:481
$typeCount
$typeCount
Definition: articleview.php:483
$CapitalizeHeadlines
$CapitalizeHeadlines
Definition: articleview.php:43
$sectionOverride
$sectionOverride
Definition: articleview.php:92
$editOwnArticle
$editOwnArticle
Definition: articleview.php:636
$templateDirTmp
$templateDirTmp
Definition: articleview.php:70
$override
if( $url_array[2]=="static"|| $url_array[2]=="articlestatic") $override
Definition: articleview.php:89
$listImageWidthOverride
$listImageWidthOverride
Definition: articleview.php:170
$SiteDescriptionOverride
$SiteDescriptionOverride
Definition: articleview.php:655
eZArticleCategory
Definition: ezarticlecategory.php:45
eZArticleCategory\sectionIDStatic
static sectionIDStatic($categoryID)
Definition: ezarticlecategory.php:662
eZArticleRenderer
Definition: ezarticlerenderer.php:36
eZArticle
Definition: ezarticle.php:82
eZArticle\isAuthor
static isAuthor( $user, $articleID)
Definition: ezarticle.php:2672
eZArticle\categoryDefinitionStatic
static categoryDefinitionStatic( $id)
Definition: ezarticle.php:2541
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZLocale
Definition: ezlocale.php:119
eZMail\validate
static validate( $address)
Definition: ezmail.php:599
eZModuleLink
Definition: ezmodulelink.php:65
eZPBFile\fopen
static fopen( $filename, $options)
Definition: ezpbfile.php:326
eZSection\globalSectionObject
static & globalSectionObject( $sectionID)
Definition: ezsection.php:366
eZTemplate
Definition: eztemplate.php:107
eZTextTool\capitalize
static capitalize( $string, $bigClass="h1bigger")
Definition: eztexttool.php:105
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$module_link
$module_link
Definition: classes/admin/linklist.php:226
$sections
$sections
Definition: classes/admin/linklist.php:227
$type
$type
Definition: classes/admin/linkselect.php:220
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195
$fp
$fp
Definition: export.php:97
$ArticleID
$ArticleID
Definition: export.php:48
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$categories
$categories
Definition: ezarticle/admin/categoryedit.php:636
$size
if($file_debug) $size
Definition: ezfilemanager/user/filedownload.php:165
$file
$file
Definition: ezfilemanager/user/filedownload.php:35
$section
$section
Definition: ezimagecatalogue/user/categoryedit.php:393
$variation
$variation
Definition: ezimagecatalogue/user/menubox.php:55
$link
$link
Definition: ezlink/admin/attributeedit.php:49
$cachedFile
$cachedFile
Definition: eznewsfeed/user/headlines.php:109
exit
exit
Definition: folder.php:81
$output
$output
Definition: formpreview.php:81
$GenerateStaticPage
$GenerateStaticPage
Definition: quizscores.php:95
$image
$image
Definition: user/articlelist.php:242
$links
$links
Definition: user/linkcategorylist.php:181
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.